Skip to main content
GET
/
api
/
v1
/
local
/
namespace
/
{namespace}
/
extended
List extended session states
curl --request GET \
  --url https://api.example.com/api/v1/local/namespace/{namespace}/extended \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/local/namespace/{namespace}/extended"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/local/namespace/{namespace}/extended', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "base": {
      "id": "<string>",
      "timestamp": "<string>",
      "namespace": "<string>",
      "status": {
        "type": "closing",
        "executionTime": "<string>",
        "closingTime": "<string>"
      },
      "annotations": {}
    },
    "agents": [
      {
        "name": "<string>",
        "registryAgentIdentifier": {
          "name": "<string>",
          "version": "<string>",
          "registrySourceId": {
            "type": "linked",
            "linkedServerId": "<string>"
          }
        },
        "status": {
          "type": "running",
          "connectionStatus": {
            "type": "connected",
            "communicationStatus": {
              "type": "sleeping"
            }
          },
          "startTime": "<string>"
        },
        "links": [
          "<string>"
        ],
        "annotations": {},
        "tokensByModel": {},
        "description": "<string>"
      }
    ],
    "threads": [
      {
        "id": "<string>",
        "name": "<string>",
        "creatorName": "<string>",
        "participants": [
          "<string>"
        ],
        "messages": [
          {
            "id": "<string>",
            "threadId": "<string>",
            "text": "<string>",
            "senderName": "<string>",
            "mentionNames": [
              "<string>"
            ],
            "timestamp": "<string>"
          }
        ],
        "state": {
          "state": "closed",
          "summary": "<string>",
          "timestamp": "<string>"
        },
        "timestamp": "<string>"
      }
    ]
  }
]
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required

The namespace name

Response

Success

base
SessionStateBase · object
required

Base session state

agents
SessionAgentState · object[]
required

A list of the states of all agents in this session

threads
SessionThread · object[]
required

A list of the states of all threads in this session